Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.jena.parser
Class OWLImportsCache

    java.lang.Object
      edu.stanford.smi.protegex.owl.jena.parser.OWLImportsCache

    public class OWLImportsCache

extends Object

Field Summary
`static HashMap<String,String>` | `owlOntologyLocToOntologName`
`static HashMap<String,Set<String>>` | `owlOntoloyToImportsMap`

Constructor Summary
`OWLImportsCache()`

Method Summary
`static void` | `addOWLImport(String owlOntologyURI, String importURI)`
`static void` | `dispose()`
`static Set<String>` | `getAllOntologies()`
`static Set<String>` | `getImportedOntologies()`
`static String` | `getOntologyName(String ontologyLoc)`
`static Set<String>` | `getOWLImportsURI(String owlOntologyURI)`
`static boolean` | `isImported(String ontology)`
`static void` | `setOntologyName(String ontologyLoc, String ontologyName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### owlOntoloyToImportsMap

    public static HashMap<String,Set<String>> owlOntoloyToImportsMap

### owlOntologyLocToOntologName

    public static HashMap<String,String> owlOntologyLocToOntologName

Constructor Detail

### OWLImportsCache

    public OWLImportsCache()

Method Detail

### getOWLImportsURI

    public static Set<String> getOWLImportsURI(String owlOntologyURI)

### addOWLImport

    public static void addOWLImport(String owlOntologyURI,
                                    String importURI)

### getImportedOntologies

    public static Set<String> getImportedOntologies()

### getAllOntologies

    public static Set<String> getAllOntologies()

### isImported

    public static boolean isImported(String ontology)

### getOntologyName

    public static String getOntologyName(String ontologyLoc)

### setOntologyName

    public static void setOntologyName(String ontologyLoc,
                                       String ontologyName)

### dispose

    public static void dispose()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.